Support » Plugin: Hyyan WooCommerce Polylang Integration » Error message after upgrade

  • Resolved sorshawitch

    (@sorshawitch)


    I’m getting this error:
    Warning: Missing argument 3 for Hyyan\WPI\Pages::addShortcodeLanguageFilter() in /home/dh_jyvxt4/canbruna.cat/wp-content/plugins/woo-poly-integration/src/Hyyan/WPI/Pages.php on line 170

    you can see the example here: http://canbruna.cat/es/reservas/

    thanks

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter sorshawitch

    (@sorshawitch)

    Hi! i kind of sorted by changing the shortcode [product id=”99″] to [product_category category=”Sessions”]

    The error message disappears…

    Plugin Contributor jonathanmoorebcsorg

    (@jonathanmoorebcsorg)

    I’m not sure whether this is a bug in wooCommerce or not, it appears that wooCommerce calls this filter with different numbers of arguments, which seems, shall we say, ‘unusual’…

    wp-content/plugins/woocommerce/includes/class-wc-shortcodes.php

    		$query_args                  = apply_filters( 'woocommerce_shortcode_products_query', $query_args, $atts, $loop_name );      [position 90:50]	
    		$products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $args, $atts ) );      [position 398:45]

    The actual error can be fixed in /wp-content/plugins/woo-poly-integration/src/Hyyan/WPI/pages.php
    by changing line 54:
    before:
    array($this, ‘addShortcodeLanguageFilter’), 10, 3
    after:
    array($this, ‘addShortcodeLanguageFilter’), 10, 2

    should fix it.

    Please check and raise in:
    https://github.com/hyyan/woo-poly-integration/issues
    to get Hyyan’s attention, as there is no support offered on these forums.

    Plugin Author Hyyan Abo Fakher

    (@hyyan)

    solved in version 1.0.1

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error message after upgrade’ is closed to new replies.